Forum

This content is now out of date.

Visit Our Community

Google Maps reports need API key in 7.2

Hello. I cannot create Google Map reports in my 7.2 Yellowfin. Here is the error. When switching to chart, the map appears briefly, then this error message appears.


Forum image


The browsers javascript console shows this error;


Forum image


The error at the top of the console seems to indicate that a google maps API key is required. Yet everything I have read about 7.2 seems to indicate a google maps api key is not required ?
This error is on our linux install of Yellowfin. Yellowfin for windows hosted on my laptop does not get this error.
Interestingly, my windows install has a field for a google maps api key.


Forum image


(But if I remove that key, google maps still works on my local windows Yellowfin.)
The Linux install has no field for Google Maps API Key.

Forum image

So my questions are;
1) Is a google maps API key required in 7.2 ?
2) If not, why do I get this error when attempting to create a google map ?
3) If required, how do I enter it ?

The system properties of the linux install getting the problem are;
System Information
Application Version: 7.2
Build: 20160331
Java Version: 1.7.0_07
Operating System: Linux 2.6.32-431.el6.x86_64 (amd64)

My windows install where google map sis working has this system info;
System Information
Application Version: 7.2
Build: 20160728
Java Version: 1.7.0_79
Operating System: Windows 8.1 6.3 (x86)

Thanks for trying Yellowfin

Please complete the form below to request your copy of Yellowfin today.